Bug 118984 - /var/lib/tomcat directory permissions (root:root) don't allow user-supplied .war files to be unpacked
Summary: /var/lib/tomcat directory permissions (root:root) don't allow user-supplied ....
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Application Server Public Beta
Classification: Retired
Component: tomcat   
(Show other bugs)
Version: 1.0-beta1
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gary Benson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-23 16:39 UTC by Tim Strike
Modified: 2007-04-18 17:04 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-30 11:30:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Strike 2004-03-23 16:39:33 UTC
Description of problem:
/var/lib/tomcat (/usr/share/tomcat/webapps link) has owner root:root, 
permissions 755 after installation (from up2date).  When a vendor 
supplied .war is put into this directory, it should be unpacked at 
startup but user tomcat doesn't have permissions to write to this 
directory and the extraction fails (the error logs complain about 
missing class file which is contained within the .war file).

Version-Release number of selected component (if applicable):
RHEL3, RHAPS 2.95, tomcat 4.1.27-8

How reproducible:
Putting custom .war file into tomcat directory, starting tomcat.  
Vendor application is not installed/available from tomcat.

Steps to Reproduce:
1. Install tomcat
2. Install vendor .war file to /usr/share/tomcat, owner 
tomcat:tomcat, permissions 444
3. Start tomcat
  
Actual results:
Error unpacking .war file (complains about missing class file, but 
the entire contents of .war file are not extracted to the webapps 
directory, i.e. webapps/media.war should be unpacked to directory 
webapps/media).

Expected results:
Unpacked .war file, deployed application

Additional info:
Changing owner (or permissions, really) on /var/lib/tomcat to 
tomcat:tomcat allows the application to unpack and deploy properly.  

Other tomcat directories (work, logs, etc) are all owned by 
tomcat:tomcat -- should /var/lib/tomcat be the same?

Comment 1 Gary Benson 2004-03-30 11:30:54 UTC
Read the bit about ENSURE_WEBAPPS_WRITABLE in /etc/sysconfig/tomcat.


Note You need to log in before you can comment on or make changes to this bug.